<div>

  <div class="tab-container">
    <div class="app-location row">
      <div class="col-md-12">
        <app-location [titel]="generalData?.mosadYearData?.SHEM_MOSAD"></app-location>
      </div>
    </div>
    <div *ngIf="generalData?.mosadYearData !=undefined">
      <div class="overall-data row">
        <div class="col-md-12">
          <div class="card">
            <div class="card-body">
              <div class="row">
                <div class="col-md-4">
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> מחוז: </label>
                    </div>
                    <div class="col-md-3 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadGenaralData?.CODE_MACHOZ_GEOGRAFI}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> רשות </label>
                    </div>
                    <div class="col-md-3 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadGenaralData?.ISV_RASHUT_CHINUCH}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> מגזר </label>
                    </div>
                    <div class="col-md-3 col-xs-12">
                      <label class="national-amount"> {{generalData?.mosadGenaralData?.MIGZAR}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> סוג פיקוח </label>
                    </div>
                    <div class="col-md-3 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadGenaralData?.SUG_PIKOH}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> מעמד משפטי </label>
                    </div>
                    <div class="col-md-3 col-xs-12">
                      <label class="national-amount"> {{generalData?.mosadGenaralData?.MAAMAD_MISHPATI}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> סמל מוסד </label>
                    </div>
                    <div class="col-md-3 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadGenaralData?.SEMEL_MOSAD}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> חמישיון טיפוח </label>
                    </div>
                    <div class="col-md-3 col-xs-12">
                      <label class="national-amount">4753</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> סוג חינוך מוסד </label>
                    </div>
                    <div class="col-md-3 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadGenaralData?.SUG_CHINUCH}}</label>
                    </div>
                  </div>
                </div>
                <div class="col-md-4 offset-md-1">
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> שכבות לימוד: </label>
                    </div>
                    <div class="col-md-6 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadYearData?.SHICHVA_AD_SHICHVA}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> שלבי חינוך במוסד: </label>
                    </div>
                    <div class="col-md-6 col-xs-12">
                      <label class="national-amount"> {{generalData?.mosadGenaralData?.SHLAVE_CHINUCH_MEUSHARIM}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> מוטב: </label>
                    </div>
                    <div class="col-md-6 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadGenaralData?.SHEM_MUTAV_MSI}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> יוח"א: </label>
                    </div>
                    <div class="col-md-6 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadGenaralData?.MOSAD_YOCHA}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> רפורמה: </label>
                    </div>
                    <div class="col-md-6 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadYearData?.MOSAD_BE_REFORMA}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> עשירון טיפוח מוסד: </label>
                    </div>
                    <div class="col-md-6 col-xs-12">
                      <label class="national-amount">4753</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> אשכול למ"ס רשות: </label>
                    </div>
                    <div class="col-md-6 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadYearData?.MATSAV_SOTSYOEKONOMI}}</label>
                    </div>
                  </div>
                  <div class="row national-school">
                    <div class="col-md-6 col-xs-12">
                      <label class="national-title"> שם מנהל/ת: </label>
                    </div>
                    <div class="col-md-6 col-xs-12">
                      <label class="national-amount">{{generalData?.mosadGenaralData?.SHEM_MENAHEL}}</label>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>


    <!-- graphs -->
    <!-- <div   class="card" [hidden]="generalData?.mosadYearData ==undefined">
      <div>
        <div class="row">
          <div class="col-md-6">
            <div class="col-md-6">
              <pie-chart [id]="'MTalmidim'" [data]="MTalmidim"></pie-chart>
            </div>
            <div class="col-md-6 ">
              <pie-chart [id]="'MMorim'" [data]="MMorim"></pie-chart>
            </div>
          </div>
          <div class="col-md-6">

          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <column-chart [id]="'MosadclassesDistribution'" [data]="MosadclassesDistribution"></column-chart>
          </div>
          <div class="col-md-6">
            <column-chart [id]="'meafyenimClasses'" [data]="meafyenimClasses"></column-chart>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <column-chart [id]="'learningDisabilities'" [data]="learningDisabilities"></column-chart>
          </div>
          <div class="col-md-6">
            <column-chart [id]="'immigrants'" [data]="immigrants"></column-chart>
          </div>
        </div>
      </div>

    </div> -->


    <div class="card">
      <div class="card-graphs-body">
        <div class="row" style="height:100%;">

          <div class="col-md-6 graphs-container">
            <div class="col-md-6">
              <h2>
                תלמידים
              </h2>
              <div class="pie-container">
                <pie-chart [id]="'MTalmidim7'" [data]="MTalmidim"></pie-chart>
                <div class="col-md-12 legend">
                  <div class="col-md-6 male">
                    30
                    <br/>
                    <h3>
                      בנים
                    </h3>
                  </div>
                  <div class="col-md-6 female">
                    372
                    <br/>
                    <h3>
                      בנות
                    </h3>
                  </div>
                </div>
              </div>

            </div>
            <div class="col-md-6 ">
              <h2>
                עובדי הוראה
              </h2>
              <div class="pie-container">
                <pie-chart [id]="'MMorim'" [data]="MMorim"></pie-chart>
                <div class="col-md-12 legend">
                  <div class="col-md-6 male">
                    372
                    <br/>
                    <h3>
                      בנים
                    </h3>
                  </div>
                  <div class="col-md-6 female">
                    372
                    <br/>
                    <h3>
                      בנות
                    </h3>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-6 graphs-container">
            <div class="col-md-5">
              <h2>
                התפלגות כיתות
              </h2>
              <div class="chart-container">
                <column-chart [id]="'meafyenimClasses'" [data]="meafyenimClasses"></column-chart>
              </div>
            </div>
            <div class="col-md-7">
              <div class="legend-class">
                <div class="col-md-5">
                  <span class="regular-class">
                    כיתה רגילה
                  </span>
                </div>
                <div class="col-md-7">
                  <span class="special-class">
                    כיתת חינוך מיוחד
                  </span>
                </div>
              </div>
              <div class="chart-container">
                <column-chart [id]="'MosadclassesDistribution'" [data]="MosadclassesDistribution"></column-chart>
              </div>
            </div>
          </div>

        </div>
        <!-- <div class="row">
            <div class="col-md-6">
              <column-chart [id]="'learningDisabilities'" [data]="learningDisabilities"></column-chart>
            </div>
            <div class="col-md-6">
              <column-chart [id]="'immigrants'" [data]="immigrants"></column-chart>
            </div>
          </div> -->
      </div>




    </div>

  </div>